Subject: Re: smsc9220 with omap3

From: Daniel Mack <[email-masked]>
Date: Wed, 24 Jun 2009 00:29:28 +0200

On Tue, Jun 23, 2009 at 07:09:22PM +0300, Mike Rapoport wrote:
> I'm trying to enable smsc9220 chip with OMAP3EVM board. Till now I was able to
> get as far as "eth1: smsc911x_mii_probe: Failed Loop Back Test" error message
> after a bunch of "eth1: smsc911x_phy_check_loopbackpkt: Failed to transmit
> during loopback test".
> Does anybody have a clue what's going wrong?

We're using that chip connected to a PXA300 and it works well, so I
wouldn't suspect the driver. Does it work from any other scenario like
the bootloader? And I don't know OMAP, but it might be helpful to others
if you posted your platform_data config.

Daniel